- Qt 6.8
- Qt Core
- C++ Classes
- TimerInfoV2
- Qt 6.8.1 Reference Documentation

# TimerInfoV2 Struct

struct QAbstractEventDispatcher::TimerInfoV2

- List of all members, including inherited members

## Public Variables

QAbstractEventDispatcher::Duration | interval
Qt::TimerId | timerId
Qt::TimerType | timerType

## Detailed Description

This struct represents information about a timer: timerId, interval, and timerType.

See also timersForObject().

## Member Variable Documentation

### QAbstractEventDispatcher::Duration TimerInfoV2::interval

The timer's interval.

### Qt::TimerId TimerInfoV2::timerId

The timer's unique id. This is created by registerTimer() upon creation and uniquely identifies a timer while it is active. It is also used by QTimer::id() and returned by QObject::startTimer().

### Qt::TimerType TimerInfoV2::timerType

The timer's type

See also Qt::TimerType.